| v_hdmitx1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xv_hdmitx1_intr.c File Reference

## Overview

This file contains interrupt related functions for Xilinx HDMI TX core.

Please see xv_hdmitx1.h for more details of the driver.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  EB     22/05/18 Initial release.

## Functions
void | XV_HdmiTx1_IntrHandler (void *InstancePtr)
| This function is the interrupt handler for the HDMI TX driver. More...
int | XV_HdmiTx1_SetCallback (XV_HdmiTx1 *InstancePtr, XV_HdmiTx1_HandlerType HandlerType, void *CallbackFunc, void *CallbackRef)
| This function installs an asynchronous callback function for the given HandlerType: More...

## Function Documentation

void XV_HdmiTx1_IntrHandler | ( | void * | InstancePtr | ) |

This function is the interrupt handler for the HDMI TX driver.

This handler reads the pending interrupt from PIO and DDC peripheral, determines the source of the interrupts, clears the interrupts and calls callbacks accordingly.

The application is responsible for connecting this function to the interrupt system. Application beyond this driver is also responsible for providing callbacks to handle interrupts and installing the callbacks using XV_HdmiTx1_SetCallback() during initialization phase. An example delivered with this driver demonstrates how this could be done.

Parameters

  InstancePtr | is a pointer to the XV_HdmiTx1 instance that just interrupted.

Returns
  None.

Note
  None.

References XV_HdmiTx1_Config::BaseAddress, XV_HdmiTx1::Config, XV_HdmiTx1::IsReady, XV_HDMITX1_AUX_STA_IRQ_MASK, XV_HDMITX1_AUX_STA_OFFSET, XV_HDMITX1_DDC_STA_IRQ_MASK, XV_HDMITX1_DDC_STA_OFFSET, XV_HDMITX1_FRL_STA_IRQ_MASK, XV_HDMITX1_FRL_STA_OFFSET, XV_HDMITX1_PIO_STA_IRQ_MASK, XV_HDMITX1_PIO_STA_OFFSET, and XV_HdmiTx1_ReadReg.

int XV_HdmiTx1_SetCallback | ( | XV_HdmiTx1 * | InstancePtr,
|  | XV_HdmiTx1_HandlerType | HandlerType,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs an asynchronous callback function for the given HandlerType:

    HandlerType              Callback Function Type
    -----------------------  --------------------------------------------------
    (XV_HDMITX1_HANDLER_HPD)   HpdCallback
    (XV_HDMITX1_HANDLER_VS)    VsCallback

Parameters

  InstancePtr | is a pointer to the HDMI TX core instance.
  HandlerType | specifies the type of handler.
  CallbackFunc | is the address of the callback function.
  CallbackRef | is a user data item that will be passed to the callback function when it is invoked.

Returns
  - XST_SUCCESS if callback function installed successfully.
  - XST_INVALID_PARAM when HandlerType is invalid.

Note
  Invoking this function for a handler that already has been installed replaces it with the new handler.

References XV_HdmiTx1::BrdgLockedCallback, XV_HdmiTx1::BrdgLockedRef, XV_HdmiTx1::BrdgOverflowCallback, XV_HdmiTx1::BrdgOverflowRef, XV_HdmiTx1::BrdgUnderflowCallback, XV_HdmiTx1::BrdgUnderflowRef, XV_HdmiTx1::BrdgUnlockedCallback, XV_HdmiTx1::BrdgUnlockedRef, XV_HdmiTx1::CedUpdateCallback, XV_HdmiTx1::CedUpdateRef, XV_HdmiTx1::ConnectCallback, XV_HdmiTx1::ConnectRef, XV_HdmiTx1::DscDecodeFailCallback, XV_HdmiTx1::DscDecodeFailRef, XV_HdmiTx1::DynHdrMtwCallback, XV_HdmiTx1::DynHdrMtwRef, XV_HdmiTx1::FrlConfigCallback, XV_HdmiTx1::FrlConfigRef, XV_HdmiTx1::FrlFfeCallback, XV_HdmiTx1::FrlFfeRef, XV_HdmiTx1::FrlLts1Callback, XV_HdmiTx1::FrlLts1Ref, XV_HdmiTx1::FrlLts2Callback, XV_HdmiTx1::FrlLts2Ref, XV_HdmiTx1::FrlLts3Callback, XV_HdmiTx1::FrlLts3Ref, XV_HdmiTx1::FrlLts4Callback, XV_HdmiTx1::FrlLts4Ref, XV_HdmiTx1::FrlLtsLCallback, XV_HdmiTx1::FrlLtsLRef, XV_HdmiTx1::FrlLtsPCallback, XV_HdmiTx1::FrlLtsPRef, XV_HdmiTx1::FrlStartCallback, XV_HdmiTx1::FrlStartRef, XV_HdmiTx1::FrlStopCallback, XV_HdmiTx1::FrlStopRef, XV_HdmiTx1::StreamDownCallback, XV_HdmiTx1::StreamDownRef, XV_HdmiTx1::StreamUpCallback, XV_HdmiTx1::StreamUpRef, XV_HdmiTx1::TmdsConfigCallback, XV_HdmiTx1::TmdsConfigRef, XV_HdmiTx1::ToggleCallback, XV_HdmiTx1::ToggleRef, XV_HdmiTx1::VsCallback, and XV_HdmiTx1::VsRef.